> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updatereviewerdenylist.md).

# Manage Reviewer Deny List

View or change the deny list for reviewer auto assignment.

Adding a user to the deny list will prevent that user from being auto assigned as a reviewer. That user will also be prevented from appearing in the drop-down menu when manually reassigning a user.

If a user's manager is on the deny list when auto assignment occurs, the certification will be assigned to the that manager's manager. If both the manager and the manager's manger are on the deny list, the result will be assigned to the workflow creator.

### Get Deny List

Returns the current denied users.

| Method | syntax                                  |
| ------ | --------------------------------------- |
| get    | /api/preview/workflows/deny\_list/users |

Example response:

```json
{
  "users": [
    {
      "user_type": "OktaUser",
      "id": "123456",
      "email": "mhines@cookie.ai",
      "name": "Marilyn Hines"
    }
  ]
}
```

### Add User

Add a user, either a [Veza system user](/4yItIzMvkpAvMVFAamTf/administration/administration/users.md) or an identity from a [configured graph Identity Provider](/4yItIzMvkpAvMVFAamTf/features/access-reviews/configuration/global-idp-settings.md).

> Note: To get the `user_type` for a Veza system user, as well as the `user_id`, `email`, and `name`, view network traffic in the browser while while searching for the user in a reviewer selection drop-down.

| Method | syntax                                      |
| ------ | ------------------------------------------- |
| post   | /api/preview/workflows/deny\_list/users:add |

Example body:

```json
{
  "users": [
    {
      "user_type": "OktaUser",
      "id": "123456",
      "email": "mhines@cookie.ai",
      "name": "Marilyn Hines"
    }
  ]
}
```

### Remove User

Delete an entry on the deny list.

| Method | syntax                                         |
| ------ | ---------------------------------------------- |
| post   | /api/preview/workflows/deny\_list/users:remove |

Example body:

```json
{
  "users": [
    {
      "user_type": "OktaUser",
      "id": "123456",
      "email": "mhines@cookie.ai",
      "name": "Marilyn Hines"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/updatereviewerdenylist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
